- Create Metric Detail
- Get Metric Details By Asset
- Get Metric Detail
- Update Metric Detail
- Delete Metric Detail
POST /api/v1/metrics/detailCreate a new metric detail.Responseboolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/metrics/detail" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Create a new metric detail.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
GET /api/v1/metrics/detail/asset/{assetId}Get all metric details for a specific assetPath Parametersstring
required
Example:
3fa85f64-5717-4562-b3fc-2c963f66afa6boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
string
Example:
"Null".string
Example:
"Counts the number of null values in a column to assess data completeness and quality.".string
Example:
"distribution".string
Example:
"ATTRIBUTE".string
Example:
"VERIFIED".boolean
Example:
false.boolean
Example:
true.boolean
Example:
false.boolean
Example:
true.boolean
Example:
false.boolean
Example:
true.boolean
Example:
true.boolean
Example:
false.boolean
Example:
false.integer
Example:
100.object
string
Example:
"004fbf50-60b1-58d0-91fe-e49bd2738dd5".string
Example:
"27b7f521-5991-49cd-8ca6-1adbff51038f".string
Example:
"Structural".string
Example:
"Distribution".string
Example:
"Completeness".string
Example:
"Completeness".string
Example:
"Attribute".boolean
Example:
false.boolean
Example:
false.boolean
Example:
false.integer
Example:
20.integer
Example:
100.object[]
string
Example:
"deb8f5e7-49a1-470e-9267-8773ff1d4a7c".boolean
Example:
true.string
Example:
"To measure attribute-level completeness and ensure critical business fields contain meaningful and usable information.".string
Example:
"Excessive null values may indicate incomplete ingestion, missing source data, or breakdowns in upstream processing pipelines.".object
integer
Example:
0.object
string
Example:
"0fa55b3d-de58-45ec-a512-0cc1f17000cc".string
Example:
"2026-09-19T11:31:28.106907Z".string
Example:
"2026-09-20T17:08:29.125354Z".curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/metrics/detail/asset/{assetId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Get all metric details for a specific asset",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
GET /api/v1/metrics/detail/{metricDetailId}Get a metric detail by IDPath Parametersstring
required
Example:
3fa85f64-5717-4562-b3fc-2c963f66afa6boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/metrics/detail/{metricDetailId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Get a metric detail by ID",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
PUT /api/v1/metrics/detail/{metricDetailId}Update a metric detail.Path Parametersstring
required
Example:
3fa85f64-5717-4562-b3fc-2c963f66afa6boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X PUT "https://<your-workspace>.prizmdata.ai/api/v1/metrics/detail/{metricDetailId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Update a metric detail.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
DELETE /api/v1/metrics/detail/{metricDetailId}Delete a metric detailPath Parametersstring
required
Example:
3fa85f64-5717-4562-b3fc-2c963f66afa6boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X DELETE "https://<your-workspace>.prizmdata.ai/api/v1/metrics/detail/{metricDetailId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Delete a metric detail",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}